
//	XtcConfig.c
//	 Copyright 1992-1993 by Silicon Island, inc. All rights reserved.
//
//	Configuration parameters for the XtcLib Interface Library.

#if !defined(XTC_CONFIG)
#define XTC_CONFIG

/*
 * Define this if all necessary Macintosh header files should be included
 */
#define	XTC_MAC_HEADERS

/*
 * Define this if apple event processing is wanted
 */
#define	XTC_APPLE_EVENTS

/*
 * Define this if the window storage area should by dynamic
 */
//	#define XTC_DYNAMIC_WSTORAGE

/*
 * Define the maximum number of windows you can have. Only define
 * this if you DO NOT define XTC_DYNAMIC_WSTORAGE
 */
#define XTC_MAX_VIEWS				15

/*
 * Define this if you want automatic cursor tracking.
 */
#define XTC_AUTO_CURSOR_TRACKING

/*
 * Define this if you want hierarchical menu control.
 */
#define XTC_HIER_MENU_CONTROL

/*
 * Define this if floating windows should be hidden on UIA_Suspend.
 */
#undef XTC_HIDE_FLOAT_ON_SUSPEND

/*
 * Define this if the menubar should be auto-unhilited.
 */
#define XTC_AUTO_UNHILITE

/*
 * Define this if you want QuickTime support.
 */
#define XTC_QUICKTIME

/*
 * Define this if you want each element handler in a seperet segment.
 */
#define XTC_SEGMENT_ELEMENTS

#endif