/*
 * Maximum configuration file line length.
 */
#define MAXLINE 132

/*
 * Just some defines for config variable types.
 */
#define CF_INT 0
#define CF_STR 1

struct config {
    char *cf_name;
    int   cf_type;
    union cf {
	char *cf_str;
	int   cf_int;
    } u;
};

extern struct config configs[];

int read_config_file(char *);
void dump_config(void);
void init_global_configs(void);
